// ------------------------------------------------------------------------------------
//
// Copyright  2006 Intel Corporation
// All Rights Reserved
// 
// The sample source code contained or described herein and all documents
// related to the sample source code ("Material") are owned by Intel Corporation
// or its suppliers or licensors. Title to the Material remains with Intel Corporation
// or its suppliers and licensors. The Material may contain trade secrets and
// proprietary and confidential information of Intel Corporation and its suppliers
// and licensors, and is protected by worldwide copyright and trade secret laws and
// treaty provisions. The sample source code is provided AS IS, with no warranties
// of any kind, express or implied. Except as expressly permitted by the Software
// license, neither Intel Corporation nor its suppliers assumes any responsibility
// or liability for any errors or inaccuracies that may appear herein.
//
// ------------------------------------------------------------------------------------
#ifndef STDAFX_H
#define STDAFX_H

// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently

// windows includes
#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>

void DebugPrintf(const char *format, ...);
#define LOG(...) DebugPrintf(__VA_ARGS__)
#define SPRINTF sprintf_s

#ifdef _DEBUG
#include <assert.h>
#define ASSERT(x) assert(x)
#else
#define ASSERT(x)
#endif

#endif

// linux includes
#ifdef LINUX
#define BOOL bool
#include <GL/glx.h>
#include <X11/keysym.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdlib.h>
#include <sys/time.h>
#include <string.h>

#define LOG(...) fprintf(stderr, __VA_ARGS__)
#define SPRINTF sprintf

#ifdef _DEBUG
#define ASSERT(x) assert(x)
#else
#define ASSERT(x)
#endif

#endif

// common includes
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <GL/gl.h> 
#include <GL/glu.h> 

float randomFloat(float low, float high);

#endif
